<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<japicmp xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" accessModifier="PROTECTED" creationTimestamp="2019-07-22T09:42:28.962-0400" ignoreMissingClasses="false" ignoreMissingClassesByRegularExpressions="" newJar="C:\au\builds\uimaj-2.10.4\rc1\artifacts\target\checkout\uimaj-core\target\uima-core.jar" newVersion="n.a." oldJar="C:\Users\MarshallSchor\.m2\repository\org\apache\uima\uimaj-core\2.10.3\uimaj-core-2.10.3.jar" oldVersion="2.10.3" onlyBinaryIncompatibleModifications="false" onlyModifications="true" packagesExclude="n.a." packagesInclude="all" semanticVersioning="0.1.0" title="Comparing source compatibility of C:\au\builds\uimaj-2.10.4\rc1\artifacts\target\checkout\uimaj-core\target\uima-core.jar against C:\Users\MarshallSchor\.m2\repository\org\apache\uima\uimaj-core\2.10.3\uimaj-core-2.10.3.jar" xsi:noNamespaceSchemaLocation="japicmp.xsd">
    <classes>
        <class binaryCompatible="true" changeStatus="MODIFIED" fullyQualifiedName="org.apache.uima.internal.util.I18nUtil" javaObjectSerializationCompatible="NOT_SERIALIZABLE" javaObjectSerializationCompatibleAsString="not serializable" sourceCompatible="true">
            <annotations/>
            <attributes>
                <attribute changeStatus="UNCHANGED" newValue="NON_SYNTHETIC" oldValue="NON_SYNTHETIC"/>
            </attributes>
            <classFileFormatVersion changeStatus="MODIFIED" majorVersionNew="52" majorVersionOld="51" minorVersionNew="0" minorVersionOld="0"/>
            <classType changeStatus="UNCHANGED" newType="CLASS" oldType="CLASS"/>
            <compatibilityChanges/>
            <constructors/>
            <fields/>
            <interfaces/>
            <methods>
                <method binaryCompatible="true" changeStatus="NEW" name="localizeMessage" newLineNumber="145" oldLineNumber="n.a." sourceCompatible="true">
                    <annotations/>
                    <attributes>
                        <attribute changeStatus="NEW" newValue="NON_SYNTHETIC" oldValue="n.a."/>
                    </attributes>
                    <compatibilityChanges/>
                    <exceptions/>
                    <modifiers>
                        <modifier changeStatus="NEW" newValue="NON_FINAL" oldValue="n.a."/>
                        <modifier changeStatus="NEW" newValue="STATIC" oldValue="n.a."/>
                        <modifier changeStatus="NEW" newValue="PUBLIC" oldValue="n.a."/>
                        <modifier changeStatus="NEW" newValue="NON_ABSTRACT" oldValue="n.a."/>
                        <modifier changeStatus="NEW" newValue="NON_BRIDGE" oldValue="n.a."/>
                        <modifier changeStatus="NEW" newValue="NON_SYNTHETIC" oldValue="n.a."/>
                    </modifiers>
                    <parameters>
                        <parameter type="java.util.ResourceBundle"/>
                        <parameter type="java.util.Locale"/>
                        <parameter type="java.lang.String"/>
                        <parameter type="java.lang.Object[]"/>
                    </parameters>
                    <returnType changeStatus="NEW" newValue="java.lang.String" oldValue="n.a."/>
                </method>
                <method binaryCompatible="true" changeStatus="NEW" name="resolveResourceBundle" newLineNumber="118" oldLineNumber="n.a." sourceCompatible="true">
                    <annotations/>
                    <attributes>
                        <attribute changeStatus="NEW" newValue="NON_SYNTHETIC" oldValue="n.a."/>
                    </attributes>
                    <compatibilityChanges/>
                    <exceptions/>
                    <modifiers>
                        <modifier changeStatus="NEW" newValue="NON_FINAL" oldValue="n.a."/>
                        <modifier changeStatus="NEW" newValue="STATIC" oldValue="n.a."/>
                        <modifier changeStatus="NEW" newValue="PUBLIC" oldValue="n.a."/>
                        <modifier changeStatus="NEW" newValue="NON_ABSTRACT" oldValue="n.a."/>
                        <modifier changeStatus="NEW" newValue="NON_BRIDGE" oldValue="n.a."/>
                        <modifier changeStatus="NEW" newValue="NON_SYNTHETIC" oldValue="n.a."/>
                    </modifiers>
                    <parameters>
                        <parameter type="java.lang.String"/>
                        <parameter type="java.util.Locale"/>
                        <parameter type="java.lang.ClassLoader"/>
                    </parameters>
                    <returnType changeStatus="NEW" newValue="java.util.ResourceBundle" oldValue="n.a."/>
                </method>
            </methods>
            <modifiers>
                <modifier changeStatus="UNCHANGED" newValue="NON_FINAL" oldValue="NON_FINAL"/>
                <modifier changeStatus="UNCHANGED" newValue="NON_STATIC" oldValue="NON_STATIC"/>
                <modifier changeStatus="UNCHANGED" newValue="PUBLIC" oldValue="PUBLIC"/>
                <modifier changeStatus="UNCHANGED" newValue="NON_ABSTRACT" oldValue="NON_ABSTRACT"/>
                <modifier changeStatus="UNCHANGED" newValue="NON_SYNTHETIC" oldValue="NON_SYNTHETIC"/>
            </modifiers>
            <serialVersionUid serialVersionUidDefaultNew="n.a." serialVersionUidDefaultOld="n.a." serialVersionUidInClassNew="n.a." serialVersionUidInClassOld="n.a." serializableNew="false" serializableOld="false"/>
            <superclass binaryCompatible="true" changeStatus="UNCHANGED" sourceCompatible="true" superclassNew="java.lang.Object" superclassOld="java.lang.Object">
                <compatibilityChanges/>
            </superclass>
        </class>
        <class binaryCompatible="true" changeStatus="MODIFIED" fullyQualifiedName="org.apache.uima.InternationalizedException" javaObjectSerializationCompatible="SERIALIZABLE_COMPATIBLE" javaObjectSerializationCompatibleAsString="compatible" sourceCompatible="true">
            <annotations/>
            <attributes>
                <attribute changeStatus="UNCHANGED" newValue="NON_SYNTHETIC" oldValue="NON_SYNTHETIC"/>
            </attributes>
            <classFileFormatVersion changeStatus="MODIFIED" majorVersionNew="52" majorVersionOld="51" minorVersionNew="0" minorVersionOld="0"/>
            <classType changeStatus="UNCHANGED" newType="CLASS" oldType="CLASS"/>
            <compatibilityChanges/>
            <constructors/>
            <fields/>
            <interfaces/>
            <methods>
                <method binaryCompatible="true" changeStatus="NEW" name="setResourceBundle" newLineNumber="222" oldLineNumber="n.a." sourceCompatible="true">
                    <annotations/>
                    <attributes>
                        <attribute changeStatus="NEW" newValue="NON_SYNTHETIC" oldValue="n.a."/>
                    </attributes>
                    <compatibilityChanges/>
                    <exceptions/>
                    <modifiers>
                        <modifier changeStatus="NEW" newValue="NON_FINAL" oldValue="n.a."/>
                        <modifier changeStatus="NEW" newValue="NON_STATIC" oldValue="n.a."/>
                        <modifier changeStatus="NEW" newValue="PUBLIC" oldValue="n.a."/>
                        <modifier changeStatus="NEW" newValue="NON_ABSTRACT" oldValue="n.a."/>
                        <modifier changeStatus="NEW" newValue="NON_BRIDGE" oldValue="n.a."/>
                        <modifier changeStatus="NEW" newValue="NON_SYNTHETIC" oldValue="n.a."/>
                    </modifiers>
                    <parameters>
                        <parameter type="java.util.Locale"/>
                    </parameters>
                    <returnType changeStatus="NEW" newValue="void" oldValue="n.a."/>
                </method>
            </methods>
            <modifiers>
                <modifier changeStatus="UNCHANGED" newValue="NON_FINAL" oldValue="NON_FINAL"/>
                <modifier changeStatus="UNCHANGED" newValue="NON_STATIC" oldValue="NON_STATIC"/>
                <modifier changeStatus="UNCHANGED" newValue="PUBLIC" oldValue="PUBLIC"/>
                <modifier changeStatus="UNCHANGED" newValue="NON_ABSTRACT" oldValue="NON_ABSTRACT"/>
                <modifier changeStatus="UNCHANGED" newValue="NON_SYNTHETIC" oldValue="NON_SYNTHETIC"/>
            </modifiers>
            <serialVersionUid serialVersionUidDefaultNew="2522537864280071044" serialVersionUidDefaultOld="-1266534606846487619" serialVersionUidInClassNew="2306587442280738385" serialVersionUidInClassOld="2306587442280738385" serializableNew="true" serializableOld="true"/>
            <superclass binaryCompatible="true" changeStatus="UNCHANGED" sourceCompatible="true" superclassNew="java.lang.Exception" superclassOld="java.lang.Exception">
                <compatibilityChanges/>
            </superclass>
        </class>
        <class binaryCompatible="true" changeStatus="MODIFIED" fullyQualifiedName="org.apache.uima.InternationalizedRuntimeException" javaObjectSerializationCompatible="SERIALIZABLE_COMPATIBLE" javaObjectSerializationCompatibleAsString="compatible" sourceCompatible="true">
            <annotations/>
            <attributes>
                <attribute changeStatus="UNCHANGED" newValue="NON_SYNTHETIC" oldValue="NON_SYNTHETIC"/>
            </attributes>
            <classFileFormatVersion changeStatus="MODIFIED" majorVersionNew="52" majorVersionOld="51" minorVersionNew="0" minorVersionOld="0"/>
            <classType changeStatus="UNCHANGED" newType="CLASS" oldType="CLASS"/>
            <compatibilityChanges/>
            <constructors/>
            <fields/>
            <interfaces/>
            <methods>
                <method binaryCompatible="true" changeStatus="NEW" name="setResourceBundle" newLineNumber="211" oldLineNumber="n.a." sourceCompatible="true">
                    <annotations/>
                    <attributes>
                        <attribute changeStatus="NEW" newValue="NON_SYNTHETIC" oldValue="n.a."/>
                    </attributes>
                    <compatibilityChanges/>
                    <exceptions/>
                    <modifiers>
                        <modifier changeStatus="NEW" newValue="NON_FINAL" oldValue="n.a."/>
                        <modifier changeStatus="NEW" newValue="NON_STATIC" oldValue="n.a."/>
                        <modifier changeStatus="NEW" newValue="PUBLIC" oldValue="n.a."/>
                        <modifier changeStatus="NEW" newValue="NON_ABSTRACT" oldValue="n.a."/>
                        <modifier changeStatus="NEW" newValue="NON_BRIDGE" oldValue="n.a."/>
                        <modifier changeStatus="NEW" newValue="NON_SYNTHETIC" oldValue="n.a."/>
                    </modifiers>
                    <parameters>
                        <parameter type="java.util.Locale"/>
                    </parameters>
                    <returnType changeStatus="NEW" newValue="void" oldValue="n.a."/>
                </method>
            </methods>
            <modifiers>
                <modifier changeStatus="UNCHANGED" newValue="NON_FINAL" oldValue="NON_FINAL"/>
                <modifier changeStatus="UNCHANGED" newValue="NON_STATIC" oldValue="NON_STATIC"/>
                <modifier changeStatus="UNCHANGED" newValue="PUBLIC" oldValue="PUBLIC"/>
                <modifier changeStatus="UNCHANGED" newValue="NON_ABSTRACT" oldValue="NON_ABSTRACT"/>
                <modifier changeStatus="UNCHANGED" newValue="NON_SYNTHETIC" oldValue="NON_SYNTHETIC"/>
            </modifiers>
            <serialVersionUid serialVersionUidDefaultNew="5060468767542137198" serialVersionUidDefaultOld="-8867851276569295004" serialVersionUidInClassNew="6387360855459370559" serialVersionUidInClassOld="6387360855459370559" serializableNew="true" serializableOld="true"/>
            <superclass binaryCompatible="true" changeStatus="UNCHANGED" sourceCompatible="true" superclassNew="java.lang.RuntimeException" superclassOld="java.lang.RuntimeException">
                <compatibilityChanges/>
            </superclass>
        </class>
        <class binaryCompatible="true" changeStatus="UNCHANGED" fullyQualifiedName="org.apache.uima.resource.ResourceManagerPearWrapper" javaObjectSerializationCompatible="NOT_SERIALIZABLE" javaObjectSerializationCompatibleAsString="not serializable" sourceCompatible="true">
            <annotations>
                <annotation binaryCompatible="true" changeStatus="NEW" fullyQualifiedName="java.lang.Deprecated" sourceCompatible="true">
                    <compatibilityChanges/>
                    <elements/>
                </annotation>
            </annotations>
            <attributes>
                <attribute changeStatus="UNCHANGED" newValue="NON_SYNTHETIC" oldValue="NON_SYNTHETIC"/>
            </attributes>
            <classFileFormatVersion changeStatus="MODIFIED" majorVersionNew="52" majorVersionOld="51" minorVersionNew="0" minorVersionOld="0"/>
            <classType changeStatus="UNCHANGED" newType="INTERFACE" oldType="INTERFACE"/>
            <compatibilityChanges>
                <compatibilityChange>ANNOTATION_DEPRECATED_ADDED</compatibilityChange>
            </compatibilityChanges>
            <constructors/>
            <fields/>
            <interfaces/>
            <methods/>
            <modifiers>
                <modifier changeStatus="UNCHANGED" newValue="NON_FINAL" oldValue="NON_FINAL"/>
                <modifier changeStatus="UNCHANGED" newValue="NON_STATIC" oldValue="NON_STATIC"/>
                <modifier changeStatus="UNCHANGED" newValue="PUBLIC" oldValue="PUBLIC"/>
                <modifier changeStatus="UNCHANGED" newValue="ABSTRACT" oldValue="ABSTRACT"/>
                <modifier changeStatus="UNCHANGED" newValue="NON_SYNTHETIC" oldValue="NON_SYNTHETIC"/>
            </modifiers>
            <serialVersionUid serialVersionUidDefaultNew="n.a." serialVersionUidDefaultOld="n.a." serialVersionUidInClassNew="n.a." serialVersionUidInClassOld="n.a." serializableNew="false" serializableOld="false"/>
            <superclass binaryCompatible="true" changeStatus="UNCHANGED" sourceCompatible="true" superclassNew="java.lang.Object" superclassOld="java.lang.Object">
                <compatibilityChanges/>
            </superclass>
        </class>
        <class binaryCompatible="true" changeStatus="UNCHANGED" fullyQualifiedName="org.apache.uima.UIMAFramework" javaObjectSerializationCompatible="NOT_SERIALIZABLE" javaObjectSerializationCompatibleAsString="not serializable" sourceCompatible="true">
            <annotations/>
            <attributes>
                <attribute changeStatus="UNCHANGED" newValue="NON_SYNTHETIC" oldValue="NON_SYNTHETIC"/>
            </attributes>
            <classFileFormatVersion changeStatus="MODIFIED" majorVersionNew="52" majorVersionOld="51" minorVersionNew="0" minorVersionOld="0"/>
            <classType changeStatus="UNCHANGED" newType="CLASS" oldType="CLASS"/>
            <compatibilityChanges/>
            <constructors/>
            <fields/>
            <interfaces/>
            <methods>
                <method binaryCompatible="true" changeStatus="UNCHANGED" name="_newDefaultResourceManagerPearWrapper" newLineNumber="n.a." oldLineNumber="n.a." sourceCompatible="true">
                    <annotations>
                        <annotation binaryCompatible="true" changeStatus="NEW" fullyQualifiedName="java.lang.Deprecated" sourceCompatible="true">
                            <compatibilityChanges/>
                            <elements/>
                        </annotation>
                    </annotations>
                    <attributes>
                        <attribute changeStatus="UNCHANGED" newValue="NON_SYNTHETIC" oldValue="NON_SYNTHETIC"/>
                    </attributes>
                    <compatibilityChanges>
                        <compatibilityChange>ANNOTATION_DEPRECATED_ADDED</compatibilityChange>
                    </compatibilityChanges>
                    <exceptions/>
                    <modifiers>
                        <modifier changeStatus="UNCHANGED" newValue="NON_FINAL" oldValue="NON_FINAL"/>
                        <modifier changeStatus="UNCHANGED" newValue="NON_STATIC" oldValue="NON_STATIC"/>
                        <modifier changeStatus="UNCHANGED" newValue="PROTECTED" oldValue="PROTECTED"/>
                        <modifier changeStatus="UNCHANGED" newValue="ABSTRACT" oldValue="ABSTRACT"/>
                        <modifier changeStatus="UNCHANGED" newValue="NON_BRIDGE" oldValue="NON_BRIDGE"/>
                        <modifier changeStatus="UNCHANGED" newValue="NON_SYNTHETIC" oldValue="NON_SYNTHETIC"/>
                    </modifiers>
                    <parameters/>
                    <returnType changeStatus="UNCHANGED" newValue="org.apache.uima.resource.ResourceManager" oldValue="org.apache.uima.resource.ResourceManager"/>
                </method>
                <method binaryCompatible="true" changeStatus="UNCHANGED" name="newDefaultResourceManagerPearWrapper" newLineNumber="1067" oldLineNumber="1066" sourceCompatible="true">
                    <annotations>
                        <annotation binaryCompatible="true" changeStatus="NEW" fullyQualifiedName="java.lang.Deprecated" sourceCompatible="true">
                            <compatibilityChanges/>
                            <elements/>
                        </annotation>
                    </annotations>
                    <attributes>
                        <attribute changeStatus="UNCHANGED" newValue="NON_SYNTHETIC" oldValue="NON_SYNTHETIC"/>
                    </attributes>
                    <compatibilityChanges>
                        <compatibilityChange>ANNOTATION_DEPRECATED_ADDED</compatibilityChange>
                    </compatibilityChanges>
                    <exceptions/>
                    <modifiers>
                        <modifier changeStatus="UNCHANGED" newValue="NON_FINAL" oldValue="NON_FINAL"/>
                        <modifier changeStatus="UNCHANGED" newValue="STATIC" oldValue="STATIC"/>
                        <modifier changeStatus="UNCHANGED" newValue="PUBLIC" oldValue="PUBLIC"/>
                        <modifier changeStatus="UNCHANGED" newValue="NON_ABSTRACT" oldValue="NON_ABSTRACT"/>
                        <modifier changeStatus="UNCHANGED" newValue="NON_BRIDGE" oldValue="NON_BRIDGE"/>
                        <modifier changeStatus="UNCHANGED" newValue="NON_SYNTHETIC" oldValue="NON_SYNTHETIC"/>
                    </modifiers>
                    <parameters/>
                    <returnType changeStatus="UNCHANGED" newValue="org.apache.uima.resource.ResourceManager" oldValue="org.apache.uima.resource.ResourceManager"/>
                </method>
            </methods>
            <modifiers>
                <modifier changeStatus="UNCHANGED" newValue="NON_FINAL" oldValue="NON_FINAL"/>
                <modifier changeStatus="UNCHANGED" newValue="NON_STATIC" oldValue="NON_STATIC"/>
                <modifier changeStatus="UNCHANGED" newValue="PUBLIC" oldValue="PUBLIC"/>
                <modifier changeStatus="UNCHANGED" newValue="ABSTRACT" oldValue="ABSTRACT"/>
                <modifier changeStatus="UNCHANGED" newValue="NON_SYNTHETIC" oldValue="NON_SYNTHETIC"/>
            </modifiers>
            <serialVersionUid serialVersionUidDefaultNew="n.a." serialVersionUidDefaultOld="n.a." serialVersionUidInClassNew="n.a." serialVersionUidInClassOld="n.a." serializableNew="false" serializableOld="false"/>
            <superclass binaryCompatible="true" changeStatus="UNCHANGED" sourceCompatible="true" superclassNew="java.lang.Object" superclassOld="java.lang.Object">
                <compatibilityChanges/>
            </superclass>
        </class>
    </classes>
</japicmp>
